import { PDFDocumentProxy } from './viewer/pdfjs';
import { BaseTreeViewer } from './BaseTreeViewer';
import { OptionalContentConfig } from './viewer/types';
export type LayerViewerRenderParameters = {
    optionalContentConfig?: OptionalContentConfig;
    pdfDocument?: PDFDocumentProxy;
};
export declare class LayerViewer extends BaseTreeViewer<LayerViewerRenderParameters> {
    private optionalContentConfig?;
    private optionalContentHash?;
    private pdfDocument?;
    constructor(options: {
        container: HTMLDivElement;
        eventBus: any;
        l10n: any;
    });
    reset(): void;
    protected dispatchEvent(layersCount: number): void;
    protected bindLink(element: HTMLAnchorElement, { groupId, input }: {
        groupId: any;
        input: HTMLInputElement;
    }): void;
    private setNestedName;
    protected addToggleButton(div: HTMLDivElement, { name }: {
        name?: null | undefined;
    }): void;
    protected toggleAllTreeItems(): void;
    render({ optionalContentConfig, pdfDocument }: LayerViewerRenderParameters): void;
    private updateLayers;
}
